<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Párrafos con varios ID y javascript</title>
    <script type="text/javascript">
        //
        /*
        function MostrarParrafo(numeroParrafo)
        {
            var elemento;
            elemento = document.getElementById('parrafo1');
            if(numeroParrafo == 1)
              elemento = document.getElementById('parrafo1');
            else if(numeroParrafo == 2)
              elemento = document.getElementById('parrafo2');
            else if(numeroParrafo == 3)
              elemento = document.getElementById('parrafo3');

            elemento.innerHTML += " PULSADO"
        }
        */

        //
        /* Con SWITCH
        function MostrarParrafosSW(numeroParrafo)
        {
            var elemento;

            switch(numeroParrafo)
            {
              case 1:
                elemento = document.getElementById('parrafo1');
                break;
              case 2: 
                elemento = document.getElementById('parrafo2');
                break;
              case 3: 
                elemento = document.getElementById('parrafo2');
                break;
              default:
                alert("PARRAFO INCORRECTO");
            }
            elemento.innerHTML += " PULSADO";
        }
        */

        //
        /*
        function MostrarParrafosSemiPro(numeroParrafo)
        {
            var elemento;

            elemento = document.getElementById('parrafo' + numeroParrafo);

            elemento.innerHTML += " PULSADO";
        }
        */

        //
        function MostrarParrafosPro(idParrafo)
        {
            var elemento;

            elemento = document.getElementById(idParrafos);

            elemento.innerHTML += " PULSADO";
        }
    </script>
  </head>
  <body>
    <p id="parrafo1">
      El primer párrafo
    </p>
    <button onclick="MostrarParrafoPro('parrafo1')">
      Mostrar párrafo 1.
    </button>
    <p id="parrafo2">
      El segundo párrafo
    </p>
    <button onclick="MostrarParrafoPro('parrafo2')">
      Mostrar párrafo 2.
    </button>
    <p id="parrafo3">
      El tercer párrafo
    </p>
    <button onclick="MostrarParrafoPro('parrafo3')">
      Mostrar párrafo 3.
    </button>
  </body>
</html>
